module Debug {
    export function knowdewae () {
        let map = new MapNote({
            name : "De Wae",
            description : "This map shows de wae all de wae to Zimbabwe."
        });
        map.addRoom(...Region.RegionRoom.getAnyRightType(RoomRandom));
        WorldState.player.setCarried(map);
    }

    export function hurt (target : Person | Bodypart, amount : number) {
        let bp : Bodypart;
        if (target instanceof Person) {
            bp = target.getPart(HumanoidTorso);
            if (bp == undefined) return;
        } else if (target instanceof Bodypart) {
            bp = target;
        }
        bp.changeSoreness(amount);
    }

    export function goTo (str : string) {
        // let thing = Thing.getOneThing(str);
        // let room : Room;
        // if (thing != undefined) {
        //     room = thing.getRoom();
        // } else {
        //
        // }
    }
}